<?php

// In this shared code, we connect to the database and set the $language variable
// from the URL or cookie.

// These are the procedural mysqli functions
// 1. Connect to the database: host, user, password, database name
// With MAMP the host, user, password will be localhost, root, root
// You should probably have one database per project.
$db_connection = mysqli_connect('localhost', 'root', 'root', 'translation');

// Get the language code from the URL, or from the cookie if it's not there,
// or default to blank if it's not there either.
$language_code = $_GET['lang'] ?? $_COOKIE['lang'] ?? '';

if ($language_code == 'en') {
  $language = 'english';
}
else {
  $language = 'french';
}

// Store the language code in a cookie, to expire in 365 days
// You have to do this before the opening <html> tag.
setcookie('lang', $language_code, time() + 86400 * 365);

?>
